"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "packages/schematics/update/update/index.ts" between
angular-cli-11.0.1.tar.gz and angular-cli-11.0.2.tar.gz

About: Angular CLI is a command line interface for Angular.

index.ts  (angular-cli-11.0.1):index.ts  (angular-cli-11.0.2)
skipping to change at line 172 skipping to change at line 172
installedLogger.debug(`${installed}...`); installedLogger.debug(`${installed}...`);
const peers = (installedInfo.target || installedInfo.installed).packageJson. peerDependencies; const peers = (installedInfo.target || installedInfo.installed).packageJson. peerDependencies;
for (const [peer, range] of Object.entries(peers || {})) { for (const [peer, range] of Object.entries(peers || {})) {
if (peer != name) { if (peer != name) {
// Only check peers to the packages we're updating. We don't care about peers // Only check peers to the packages we're updating. We don't care about peers
// that are unmet but we have no effect on. // that are unmet but we have no effect on.
continue; continue;
} }
if (installed === '@angular-devkit/build-ng-packagr') {
// Ignore peerDependencies mismatches for `@angular-devkit/build-ng-pack
agr`.
// This package is deprecated and is removed via a migration.
continue;
}
// Override the peer version range if it's known as a compatible. // Override the peer version range if it's known as a compatible.
const extendedRange = _updatePeerVersion(infoMap, peer, range); const extendedRange = _updatePeerVersion(infoMap, peer, range);
if (!semver.satisfies(version, extendedRange, { includePrerelease: next || undefined })) { if (!semver.satisfies(version, extendedRange, { includePrerelease: next || undefined })) {
logger.error([ logger.error([
`Package ${JSON.stringify(installed)} has an incompatible peer depende ncy to`, `Package ${JSON.stringify(installed)} has an incompatible peer depende ncy to`,
`${JSON.stringify(name)} (requires`, `${JSON.stringify(name)} (requires`,
`${JSON.stringify(range)}${extendedRange == range ? '' : ' (extended)' },`, `${JSON.stringify(range)}${extendedRange == range ? '' : ' (extended)' },`,
`would install ${JSON.stringify(version)}).`, `would install ${JSON.stringify(version)}).`,
].join(' ')); ].join(' '));
 End of changes. 1 change blocks. 
0 lines changed or deleted 7 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)